(defparameter my-window
  (open-stream 'bitmap-window *screen* :io
               :title "My Window"
               :window-interior (make-box 100 100 420 420)
               :window-state :maximized
               :user-scrollable nil
               :user-resizable  nil
               :page-width  320
               :page-height 320))

(defun my-draw-box ()
  (select-window my-window)
  (draw-box my-window (get-box my-window)))

(progn
  (clear-page my-window)
  (select-window my-window)
  (process-pending-events)
  (sleep 1)
  (dotimes (j 5)
    (dotimes (i 18)
      (process-pending-events)
      (draw-ellipse my-window #.(make-position 160 160)
                    160 (* (1+ j) 20) (+ 45 (* i 5))))))

(get-pixels my-window (make-box 0 0 320 320))

(my-draw-box)

(defparameter bmp (win:createbitmap 320 320 1 8 ct:null))


(close my-window)



;;; ===========================================================================


(defparameter my-window
  (open-stream 'bitmap-window *screen* :io
               :title "My Window"
               :window-interior (make-box 100 100 420 420)
               :window-state :maximized
               :user-scrollable nil
               :user-resizable  nil
               :page-width  320
               :page-height 320))

(defparameter my-pane (front-window my-window))

(dotimes (i 100)
  (dotimes (j 100)
    (win:SetPixel (device-bitmap my-pane) (+ i 100) (+ j 50) 100)))

(defparameter comp-bitmap
  (win:CreateCompatibleBitmap (device-bitmap my-pane) 320 320))

(defparameter comp-dc
  (win:CreateCompatibleDC (device-bitmap my-pane)))

(win:SelectObject comp-dc comp-bitmap)

(win:BitBlt comp-dc 0 0 320 320 (device-bitmap my-pane) 0 0 win:SRCCOPY)

(clear-page my-window)

(win:BitBlt (device-bitmap my-pane) 0 0 320 320 comp-dc 0 0 win:SRCCOPY)

(win:DeleteDC comp-dc)


(defparameter bmp
  (create-bitmap-copy (dialog-item-window gcalc::*gcalc-draw-box*)))

(copy-bitmap-to-window (dialog-item-window gcalc::*gcalc-draw-box*) bmp)




(win:BitBlt comp-dc 0 0 400 400
            (device-bitmap (dialog-item-window gcalc::*gcalc-draw-box*))
            0 0 win:SRCCOPY)
(win:BitBlt (device-bitmap (dialog-item-window gcalc::*gcalc-draw-box*))
            0 0 320 320 comp-dc 0 0 win:SRCCOPY)






*gcalc-draw-box*
(dialog-item-window *gcalc-draw-box*)
(device-bitmap (dialog-item-window *gcalc-draw-box*))


(win:GetBitmapDimensionEx ct:null (make-position 0 0))
